# $Revision: 1.85 $, $Date: 2005/05/24 01:36:45 $
Summary:	GNU Macro Processor
Summary(de):	GNU-Makro-Prozessor
Summary(fr):	Processeur de macros de GNU
Summary(pl):	GNU procesor jzyka makrodefinicji
Summary(tr):	GNU Makrolemcisi
Name:		m4
Version:	1.4q
Release:	2
Epoch:		2
License:	GPL
Group:		Applications/Text
#Source0:	ftp://ftp.seindal.dk/gnu/%{name}-%{version}%{_pre}.tar.gz
Source0:	http://www.lrde.epita.fr/~akim/download/%{name}-%{version}.tar.bz2
# Source0-md5:	de5ffda17f317b12272286ea93c9f2c0
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-po-fix.patch
Patch3:		%{name}-fixes-1.4.1.patch
Patch4:		%{name}-buserror.patch
URL:		http://www.seindal.dk/rene/gnu/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7.1
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	gmp-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	perl-devel
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}

%description
A GNU implementation of the traditional UNIX macro processor. M4 is
useful for writing text files which can be logically parsed, and is
used by many programs as part of their build process. M4 has built-in
functions for including files, running shell commands, doing
arithmetic, etc. The autoconf program needs m4 for generating
configure scripts, but not for running configure scripts.

%description -l de
Dies ist die GNU-Makroverarbeitungssprache. Es ist zum Schreiben von
Textdateien geeignet, die logisch geparst werden knnen. Viele
Programme nutzen dies als Teil des Build-Vorgangs.

%description -l fr
Le langage de macro commande GNU. Il est utile pour constituer des
fichiers textes devant etre parcourues logiquement. De nombreux
programmes l'utilisent lors de leur processus de construction.

%description -l pl
W pakiecie znajduje si m4 - GNU procesor jzyka makrodefinicji.
Uywany jest do tworzenia plikw tekstowych, ktre mog by logicznie
parsowane. Wiele programw korzysta z m4 podczas procesu kompilacji
kodu rdowego.

%package devel
Summary:	Files to develop application with embedded m4 interpreter
Summary(pl):	Pliki do tworzenia aplikacji z wbudowanym interpreterem m4
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Files to develop application with embedded m4 interpreter.

%description devel -l pl
Pliki do tworzenia aplikacji z wbudowanym interpreterem m4.

%package static
Summary:	Static m4 library
Summary(pl):	Statyczna biblioteka m4
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static m4 library.

%description static -l pl
Statyczna biblioteka m4.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

rm -f config/{libtool,ltdl}.m4

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I config
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	PACKAGE=m4 \
	--disable-ltdl-install \
	--disable-rpath \
	--enable-static \
	--with-gmp \
	--with-modules \
	%{!?debug:--without-dmalloc}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/m4/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README THANKS AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/m4
%attr(755,root,root) %{_libdir}/libm4.so.*.*
%dir %{_libdir}/m4
%attr(755,root,root) %{_libdir}/m4/*.so*
%{_libdir}/m4/*.la
%{_datadir}/m4
%{_infodir}/m4*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libm4.so
%{_libdir}/libm4.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libm4.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: m4.spec,v $
Revision 1.85  2005/05/24 01:36:45  pluto
- fix buserror on sparc64.

Revision 1.84  2005/03/21 18:13:28  mmazur
- rel2 for th

Revision 1.83  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.82  2004/12/08 16:02:35  qboosh
- release 1

Revision 1.81  2004/10/12 19:18:05  mmazur
- rel 0.2 for th

Revision 1.80  2004/07/18 19:31:15  qboosh
- updated to 1.4q, updated patches
- changeword feature has been dropped

Revision 1.79  2004/07/16 12:02:41  qboosh
- added fixes-1.4.1 patch (fixes forward-ported from m4-1.4.1)
  includes maketemp security fix, replaces format_string_fix patch
- release .10

Revision 1.78  2004/01/29 20:43:30  jajcus
- Release: .9

Revision 1.77  2003/09/01 21:42:27  ankry
- po encoding/header fixes

Revision 1.76  2003/08/29 10:20:37  qboosh
- changed ac_am_cleanups patch to undefine changeword only if it's defined
- new gettext is not required, but aclocal fails with libtool 1.4.x, so require 1.5

Revision 1.75  2003/08/22 15:10:06  mmazur
- bumped rel... you know... Ac

Revision 1.74  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.73  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.72  2003/07/18 09:26:22  blues
- sort and cosmetics

Revision 1.71  2003/06/23 20:49:56  jareq
- fixed epoch:version issue

Revision 1.70  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.69  2003/05/25 05:50:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/04/10 14:24:42  speedy
- fixed broken ac_am patch
- release 0.%%{_pre}.7

Revision 1.67  2003/04/05 18:46:32  kloczek
- release 0.%%{_pre}.6,
- added gmp-devel to BuildRequires (because m4 is configured --with-gmp).

Revision 1.66  2003/04/05 14:20:18  kloczek
- 0.%%{_pre}.5 release,
- merge ac, ld, ltdl ipatches and add many more ac/am cleanups,
- before regenerate ac/am/lt/ah resources remove from build tree only acm4/ltdl.m4.

Revision 1.65  2003/04/03 07:46:45  trojan
- fixed ac patch (readded undefine([changeword]))

Revision 1.64  2003/04/02 05:49:05  kloczek
- BuildRequires: gettext-devel >= 0.11.5.

Revision 1.63  2003/03/09 11:04:04  qboosh
- added pl.po-update patch (based on updated rzm's translation for m4 1.4o)
- added info and po-fix (for it.po) patches

Revision 1.62  2003/03/07 08:52:50  qboosh
- Epoch 2 (no strict relation between 1:0.1pre2 and 1:0.pre2.2)

Revision 1.61  2003/03/07 03:36:41  wiget
- run ldconfig in %%post/%%postun

Revision 1.60  2003/03/07 00:23:07  wiget
- fix release tag

Revision 1.59  2003/03/06 23:56:33  wiget
- added ltdl.patch (link with external libltdl)
- added -devel and -static subpackages
- enable changeword() and -W support
- enable dlopened modules support
- force gmp usage
- more docs

Revision 1.58  2002/11/21 19:12:42  mmazur
- only plain gettextize... no additional workarounds

Revision 1.57  2002/11/03 08:54:06  mmazur
- missing lib

Revision 1.56  2002/10/31 23:20:24  mmazur
- new m4 :)

Revision 1.55  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.54  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.53  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.52  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/02/23 03:36:25  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.48  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/09/26 12:24:32  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.46  2001/07/26 05:42:11  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.44  2001/07/06 11:53:05  wiget
release 4; fix autoconf stuff

Revision 1.43  2001/02/05 20:29:32  kloczek
- release 3,
- fix for format string vulnerability (fix from bugtraq).

Revision 1.42  2000/12/11 12:14:15  qboosh
- BuildRequires: libltdl-devel

Revision 1.41  2000/10/16 19:53:41  kloczek
- release 2: use new rpm automation.

Revision 1.40  2000/07/02 22:56:52  zagrodzki
- adapterized

Revision 1.39  2000/07/02 22:51:13  zagrodzki
- one more fix

Revision 1.38  2000/07/02 22:48:50  zagrodzki
- fix

Revision 1.37  2000/07/02 22:47:02  zagrodzki
- back to m4-1.4n... autoconf has some problems with newer versions...

Revision 1.36  2000/06/17 18:11:03  zagrodzki
- BuildRequires: libltdl

Revision 1.35  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.34  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.33  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.32  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.31  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.29  2000/01/11 21:40:39  kloczek
- uncomented and updated info patch (m4 moved to "Text Processing Tools"
  section).

Revision 1.28  2000/01/11 00:18:19  wiget
- 1.4o
- build with dlopened modules support
- build with multi precision aritmetic (required gmp library)

Revision 1.27  1999/09/26 20:21:45  kloczek
- removed Patch1,
- removed runing autoconf, aclocal and automake from %build.

Revision 1.26  1999/09/26 20:00:01  kloczek
- added using %%configure macro (autoconf patch) and DESTDIR style %install,
- added "BuildRequires: gettext-devel",
- new %description from rawhide spec.

Revision 1.25  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.24  1999/09/19 09:41:00  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.23  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.4n-6]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Wojtek lusarczyk <wojtek@shadow.eu.org>.
